details:
    type: departments
    name: Departments
    table: gibbonDepartment
    modes: { update: true, insert: true, export: true }
access:
    module: School Admin
    action: Manage Departments
primaryKey:
    gibbonDepartmentID
uniqueKeys:
    - nameShort
table:
    type: 
        name: "Type"
        desc: ""
        args: { filter: string, required: true, custom: true }
    name: 
        name: "Name"
        desc: ""
        args: { filter: string, required: true }
    nameShort: 
        name: "Short Name"
        desc: ""
        args: { filter: string, required: true }
    subjectListing: 
        name: "Subject Listing"
        desc: ""
        args: { filter: string }
    blurb: 
        name: "Blurb"
        desc: ""
        args: { filter: html }
    logo: 
        name: "Logo"
        desc: "125x125px jpg/png/gif"
        args: { filter: string, custom: true }
